%define upstream_name    Glib
%define upstream_version 1.305

%define Werror_cflags %nil

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Perl module for the glib-2.x library
License:    LGPLv2+
Group:      Development/GNOME and GTK+
Url:        http://gtk2-perl.sf.net/
# https://sourceforge.net/project/showfiles.php?group_id=64773&package_id=91217
Source0:    http://prdownloads.sourceforge.net/gtk2-perl/%{upstream_name}-%{upstream_version}.tar.gz
# BUG: we do not hanble exceptions out of Gtk2->main loop
# we should just horribly die in that case
Patch0:     Glib-1.280-exception-trapping.patch

BuildRequires: perl(ExtUtils::Depends) >= 0.300.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.0.0
BuildRequires: glib2-devel >= 2.0.0
BuildRequires: perl-devel
Conflicts:	perl-Gtk2 <= 1
# so that live upgrade doesn't fail in rpmdrake or gurpmi due to running
# with a version older than the one it was compiled for
Requires:   glib2 => %(pkg-config --modversion glib-2.0 &>/dev/null && pkg-config --modversion glib-2.0 2>/dev/null || echo 0)

# Do not export private modules and libraries
%{?perl_default_filter}
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(MY\\)

%description
This module provides perl access to Glib and GLib's GObject libraries.
It is mainly used by perl-GTK2 applications.

Glib is a handy library of portability and utility functions. This C library
is designed to solve some portability problems and provide other useful
functionality which most programs require.

GObject provides a generic type system with inheritance and a powerful signal
system.

Together these libraries are used as the foundation for many of the libraries
that make up the Gnome environment, and are used in many unrelated
projects.

%package doc
Summary:    Glib documentation
Group:      Documentation
BuildArch:  noarch

%description doc
This package contains documentation of the Glib module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches
find -type d -name CVS | rm -rf 

%build
perl Makefile.PL INSTALLDIRS=vendor
%define _disable_ld_no_undefined 1
%make OPTIMIZE="$RPM_OPT_FLAGS" OTHERLDFLAGS="%{?ldflags}" PERL_ARCHIVE_AFTER="-lpthread"

%check
%make test

%install
%makeinstall_std

%files
%doc AUTHORS LICENSE META.json META.yml MYMETA.yml NEWS README TODO
%dir %{perl_vendorarch}/%{upstream_name}
%{perl_vendorarch}/%{upstream_name}.pm
%{perl_vendorarch}/%{upstream_name}/*.pm
%{perl_vendorarch}/%{upstream_name}/*/*.pm
%{perl_vendorarch}/%{upstream_name}/Install
%{perl_vendorarch}/auto/*

%files doc
%{_mandir}/*/*
%dir %{perl_vendorarch}/%{upstream_name}
%{perl_vendorarch}/%{upstream_name}/*.pod
%{perl_vendorarch}/%{upstream_name}/*/*.pod


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.305.0-5.mga5
+ Revision: 741081
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.305.0-4.mga5
+ Revision: 732188
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.305.0-3.mga5
+ Revision: 684874
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.305.0-2.mga5
+ Revision: 631212
- Rebuild for perl 5.20

* Mon May 19 2014 tv <tv> 1.305.0-1.mga5
+ Revision: 623795
- new release

* Thu Feb 06 2014 tv <tv> 1.304.0-1.mga5
+ Revision: 584725
- new release

* Mon Dec 16 2013 tv <tv> 1.303.0-9.mga4
+ Revision: 557308
- try to reenable testsuite

* Mon Dec 16 2013 tv <tv> 1.303.0-8.mga4
+ Revision: 557190
- fix perl-Gtk2 build

* Sat Dec 14 2013 tv <tv> 1.303.0-7.mga4
+ Revision: 556796
- new release

* Thu Dec 05 2013 tv <tv> 1.302.0-7.mga4
+ Revision: 555413
- enable to bind GSpawnFlags for mcc's drakconsole

* Tue Dec 03 2013 tv <tv> 1.302.0-6.mga4
+ Revision: 554794
- fix exception management (mga#11860)

* Mon Dec 02 2013 tv <tv> 1.302.0-5.mga4
+ Revision: 554668
- export generic_exceptions_handler() for Gtk3ion()
  (thus fixing a regression in callback exception management)
- make patch more upstreamable by not affecting default behavior

* Thu Nov 07 2013 tv <tv> 1.302.0-4.mga4
+ Revision: 549861
- relax calling convention for handle_one_exception()

* Thu Nov 07 2013 tv <tv> 1.302.0-3.mga4
+ Revision: 549852
- export handle_one_exception()
  (current framework was ignoring some exceptions with GtK3)

* Mon Oct 21 2013 umeabot <umeabot> 1.302.0-2.mga4
+ Revision: 538366
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 tv <tv> 1.302.0-1.mga4
+ Revision: 489464
- new release

* Wed Sep 25 2013 tv <tv> 1.301.0-2.mga4
+ Revision: 485845
- patch 1: avoid memory corruption when registering boxed synonyms repeatedly.
- patch 1: avoid misusing the macro PL_na, thus preventing issues when Glib is
  used in conjunction with certain XS modules, among them XML::Parser and
  String::Approx.

* Sun Jul 07 2013 sander85 <sander85> 1.301.0-1.mga4
+ Revision: 450933
- update to 1.301.0

* Wed May 29 2013 jquelin <jquelin> 1.300.0-3.mga4
+ Revision: 430708
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 1.300.0-2.mga4
+ Revision: 429919
- rebuild for new perl

* Thu May 23 2013 tv <tv> 1.300.0-1.mga4
+ Revision: 424721
- new release

* Sun Mar 03 2013 tv <tv> 1.290.0-5.mga3
+ Revision: 401293
- export glib_perl_set_execept_errs for Gtk2::NotificationBubble

* Wed Feb 20 2013 tv <tv> 1.290.0-4.mga3
+ Revision: 399562
- fix gtk_main for apps not using exceptions

* Wed Feb 20 2013 tv <tv> 1.290.0-3.mga3
+ Revision: 399480
- reexport another symbol

* Tue Feb 19 2013 tv <tv> 1.290.0-2.mga3
+ Revision: 399458
- make new exception management as robust as previous one
  (should fix some bugs such as mga#8768)
- comment/explain the exception patch

* Mon Feb 11 2013 tv <tv> 1.290.0-1.mga3
+ Revision: 397888
- new release

* Sun Feb 10 2013 tv <tv> 1.280.0-5.mga3
+ Revision: 397758
- fix license

* Sun Jan 13 2013 umeabot <umeabot> 1.280.0-4.mga3
+ Revision: 367757
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 tv <tv> 1.280.0-3.mga3
+ Revision: 332245
- call dlclose() when needed

* Mon Dec 17 2012 tv <tv> 1.280.0-2.mga3
+ Revision: 331904
- patch 0: add a generic exception handler
  (works for both gtk+-2 & gtk+-3 with hacking perl-GtkX)

* Sat Nov 03 2012 tv <tv> 1.280.0-1.mga3
+ Revision: 313468
- new release

* Wed Oct 10 2012 jquelin <jquelin> 1.270.0-2.mga3
+ Revision: 304078
- fix rpm group

* Sun Aug 26 2012 tv <tv> 1.270.0-1.mga3
+ Revision: 284297
- new release

* Fri Aug 03 2012 tv <tv> 1.262.0-3.mga3
+ Revision: 278325
- rebuild with compressed debug info

* Thu Aug 02 2012 tv <tv> 1.262.0-2.mga3
+ Revision: 277896
- rebuild with mini debug info

* Wed Aug 01 2012 tv <tv> 1.262.0-1.mga3
+ Revision: 277631
- new release

* Thu Jul 05 2012 jquelin <jquelin> 1.261.0-1.mga3
+ Revision: 268178
- update to 1.261

* Mon Jun 04 2012 tv <tv> 1.260.0-2.mga3
+ Revision: 254060
- require glib version used to compile (mga#6274)

* Wed May 30 2012 tv <tv> 1.260.0-1.mga3
+ Revision: 251797
- META.json is no more
- new release

* Wed May 30 2012 jquelin <jquelin> 1.251.0-3.mga3
+ Revision: 250648
- rebuild for perl 5.16

* Sun Mar 25 2012 tv <tv> 1.251.0-2.mga2
+ Revision: 226446
- bump required version so that live upgrade works after priorty upgrade of
  perl, perl-Glib for rpmdrake or gurpmi (mga#5066)

* Mon Mar 05 2012 jquelin <jquelin> 1.251.0-1.mga2
+ Revision: 218752
- update to 1.251

* Mon Jan 23 2012 tv <tv> 1.250.0-1.mga2
+ Revision: 200394
- new release

* Tue Jan 03 2012 tv <tv> 1.242.0-1.mga2
+ Revision: 190150
- new release

* Mon Nov 21 2011 tv <tv> 1.241.0-1.mga2
+ Revision: 170185
- adjust file list
- new release

* Fri Oct 14 2011 jquelin <jquelin> 1.240.0-1.mga2
+ Revision: 154768
- update to 1.240

* Mon Oct 03 2011 tv <tv> 1.233.0-3.mga2
+ Revision: 151266
- new release
- new release
- drop patch 1 (merged)

  + fwang <fwang>
    - new version 1.232
    - do not link against rpath libperl
    - use system flags

* Sun Jun 12 2011 sander85 <sander85> 1.230.0-9.mga2
+ Revision: 104321
- Rebuild for perl 5.14

* Thu May 26 2011 ennael <ennael> 1.230.0-8.mga1
+ Revision: 100520
- update glib2 version require (#1432)

* Fri Jan 21 2011 jquelin <jquelin> 1.230.0-7.mga1
+ Revision: 30485
- mageia rebuild
- imported package perl-Glib


* Tue Aug 31 2010 Thierry Vignaud <tv@mandriva.org> 1.230.0-7mdv2011.0
+ Revision: 574925
- let the doc subpackage be noarch

* Wed Aug 04 2010 Thierry Vignaud <tv@mandriva.org> 1.230.0-6mdv2011.0
+ Revision: 565899
- patch 1: fix build without perl-GLib

* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 1.230.0-5mdv2011.0
+ Revision: 564475
- rebuild for perl 5.12.1

* Wed Jul 21 2010 Jérôme Quelin <jquelin@mandriva.org> 1.230.0-4mdv2011.0
+ Revision: 556325
- do not require pkg perl-Glib during its own build!
- rebuild for perl 5.12

  + Thierry Vignaud <tv@mandriva.org>
    - temporary BuildRequires perl-Glib in order to fix build
    - new release

  + Sandro Cazzaniga <kharec@mandriva.org>
    - rebuild

* Wed Jul 14 2010 Jérôme Quelin <jquelin@mandriva.org> 1.223.0-1mdv2011.0
+ Revision: 553129
- update to 1.223

* Mon Jul 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.222-1mdv2010.1
+ Revision: 392986
- update to new version 1.222

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.221-1mdv2010.0
+ Revision: 370126
- update to new version 1.221

* Wed Mar 18 2009 Thierry Vignaud <tv@mandriva.org> 1.220-1mdv2009.1
+ Revision: 357186
- new release (no change, just tagged as stable)

* Wed Mar 11 2009 Thierry Vignaud <tv@mandriva.org> 1.214-1mdv2009.1
+ Revision: 353612
- new release

* Mon Feb 16 2009 Thierry Vignaud <tv@mandriva.org> 1.213-1mdv2009.1
+ Revision: 340886
- new release

* Sun Feb 08 2009 Thierry Vignaud <tv@mandriva.org> 1.212-1mdv2009.1
+ Revision: 338629
- new release

* Fri Jan 16 2009 Thierry Vignaud <tv@mandriva.org> 1.211-1mdv2009.1
+ Revision: 330286
- temporary disable Werror_cflags
- rediff patches for new rpm
- new release
- new release

* Sat Sep 20 2008 Thierry Vignaud <tv@mandriva.org> 1.200-1mdv2009.0
+ Revision: 286092
- new release (no changes, just tagged as stable)

* Mon Sep 08 2008 Thierry Vignaud <tv@mandriva.org> 1.193-1mdv2009.0
+ Revision: 282631
- new release
- new release
- new release

* Sat Jul 05 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.190-1mdv2009.0
+ Revision: 231999
- update to new version 1.190

* Tue Jun 03 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.183-1mdv2009.0
+ Revision: 214512
- update to new version 1.183

* Tue Apr 15 2008 Thierry Vignaud <tv@mandriva.org> 1.182-2mdv2009.0
+ Revision: 194017
- bump require on ExtUtils::Depends
- new release

* Mon Mar 10 2008 Thierry Vignaud <tv@mandriva.org> 1.180-1mdv2008.1
+ Revision: 183823
- new release

* Tue Feb 26 2008 Thierry Vignaud <tv@mandriva.org> 1.174-1mdv2008.1
+ Revision: 175186
- new release

* Tue Feb 12 2008 Thierry Vignaud <tv@mandriva.org> 1.173-1mdv2008.1
+ Revision: 166533
- new release

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.172-2mdv2008.1
+ Revision: 151254
- rebuild for perl-5.10.0

* Thu Jan 10 2008 Thierry Vignaud <tv@mandriva.org> 1.172-1mdv2008.1
+ Revision: 147562
- new release (perl 5.10.0 ready)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Thierry Vignaud <tv@mandriva.org> 1.171-1mdv2008.1
+ Revision: 132391
- new release
- kill re-definition of %%buildroot on Pixel's request

* Wed Oct 31 2007 Thierry Vignaud <tv@mandriva.org> 1.170-1mdv2008.1
+ Revision: 104186
- new release

* Mon Oct 15 2007 Thierry Vignaud <tv@mandriva.org> 1.161-1mdv2008.1
+ Revision: 98586
- new release

* Tue Sep 25 2007 Thierry Vignaud <tv@mandriva.org> 1.160-1mdv2008.0
+ Revision: 92702
- new release (no change, just tagged as stable)

* Mon Aug 13 2007 Thierry Vignaud <tv@mandriva.org> 1.153-1mdv2008.0
+ Revision: 62751
- new release

* Mon Jul 30 2007 Thierry Vignaud <tv@mandriva.org> 1.152-1mdv2008.0
+ Revision: 56551
- new release

* Mon Jun 25 2007 Thierry Vignaud <tv@mandriva.org> 1.151-1mdv2008.0
+ Revision: 44012
- new release


* Tue Mar 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.144-2mdv2007.1
+ Revision: 146880
- split out doc

* Tue Feb 27 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.144-1mdv2007.1
+ Revision: 126590
- new release

* Mon Feb 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.143-1mdv2007.1
+ Revision: 122773
- new release

* Tue Dec 05 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.142-1mdv2007.1
+ Revision: 91066
- new release

* Thu Nov 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.141-1mdv2007.1
+ Revision: 86820
- Import perl-Glib

* Thu Nov 23 2006 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.141-1mdv2007.1
- new release

* Wed Sep 06 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.140-1mdv2007.0
- new release

* Fri Aug 11 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.132-1mdv2007.0
- new release

* Wed Jul 26 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.131-1mdv2007.0
- new release

* Thu Mar 16 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.120-1mdk
- new release

* Wed Mar 01 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.117-1mdk
- new release

* Tue Feb 14 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.116-1mdk
- new release

* Tue Jan 31 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.115-1mdk
- new release

* Tue Jan 17 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.114-1mdk
- new release
- drop patch 0 (merged upstream)

* Wed Jan 11 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.113-2mdk
- Patch1: avoid nasty pointer to int cast on x86_64

* Tue Jan 03 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.113-1mdk
- new release

* Tue Nov 29 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.111-1mdk
- new release

* Thu Oct 13 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.101-1mdk
- New release 1.101

* Sun Oct 02 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.100-1mdk
- new release

* Fri Jun 24 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.082-1mdk
- new release

* Sat Apr 16 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.081-1mdk
- new release

* Tue Mar 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.080-1mdk
- new stable release

* Tue Mar 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.074-1mdk
- new release

* Tue Feb 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.073-1mdk
- new release

* Mon Jan 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.072-1mdk
- new release

* Thu Dec 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.071-2mdk
- rebuild for new glib

* Tue Nov 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.071-1mdk
- new release

* Fri Nov 12 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.070-2mdk
- Rebuild for new perl

* Wed Nov 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.070-1mdk
- new release

* Tue Aug 17 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.054-1mdk
- new release

* Tue Aug 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.053-1mdk
- new release

* Tue Jul 20 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.052-1mdk
- new release

* Wed Jun 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.051-1mdk
- new release

* Fri Jun 04 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.050-1mdk
- new release

* Thu May 20 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.042-2mdk
- bump requires

* Wed Apr 14 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.042-1mdk
- new release

* Sat Apr 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.041-1mdk
- new release

* Sat Apr 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.040-2mdk
- link with glib-2.4.x

* Wed Mar 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.040-1mdk
- new release

